const { configureStore } = require('@reduxjs/toolkit')

const createStore = (slice) => {
   return (
      configureStore({
         reducer: slice,
         middleware: getDefaultMiddleware => getDefaultMiddleware({
            serializableCheck: false
         })
      })
   )
};

module.exports = createStore
